
Redmine - Defect #13199

"Edit" misaligned in project members view

2013-02-18 09:11 - Youssef Eldakar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 2.1.2

Description

When viewing a project's list of members, if an entry is not deletable, the "Edit" command is not aligned with "Edit" commands in

other entries where both "Edit" and "Delete" are available.

An example of an undeletable entry is a user who belongs to the project members in addition to being a member in a group that also

belongs to the project members.

Related issues:

Related to Redmine - Feature #36376: accidentally delete a member in the proj... New

Associated revisions

Revision 21366 - 2022-01-16 06:02 - Go MAEDA

"Edit" misaligned in project members view (#13199).

Contributed by Mizuki ISHIKAWA.

History

#1 - 2013-02-18 09:32 - Youssef Eldakar

Youssef Eldakar wrote:

An example of an undeletable entry is a user who belongs to the project members in addition to being a member in a group that also belongs to

the project members.

 When a group is a member in a project, users on that group are automatically listed along with the group in the project members view. Therefore, I

should've phrased the above more accurately as follows:

An example of an undeletable entry is a user who is a member in a group that belongs to the project members.

#2 - 2013-02-18 18:27 - Jean-Philippe Lang

- Category set to UI

- Priority changed from Normal to Low

#3 - 2022-01-13 14:24 - Go MAEDA

- Related to Feature #36376: accidentally delete a member in the project member settings added

#4 - 2022-01-15 08:03 - Go MAEDA

- File 13199-before.png added

- File 13199-after.png added

- File 13199.patch added

- Priority changed from Low to Normal

I extracted a patch 0002-Separate-delete-link-and-edit-link-columns.patch from #36376#note-1 and slightly updated not to change the HTML

structure. The original patch was written by Mizuki ISHIKAWA.

Setting the target version to 5.0.0.

Before:
https://www.redmine.org/issues/36376#note-1
https://www.redmine.org/users/259873


 13199-before.png 

After:

 13199-after.png 

#5 - 2022-01-16 05:45 - Go MAEDA

- Target version set to 5.0.0

#6 - 2022-01-16 06:02 - Go MAEDA

- Category changed from UI to Project settings

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Files

13199-before.png 124 KB 2022-01-15 Go MAEDA

13199-after.png 124 KB 2022-01-15 Go MAEDA

13199.patch 1.1 KB 2022-01-15 Go MAEDA
